Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoBreed< EOT > Class Template Reference

Breeding: combination of selecting and transforming a population. More...

`#include <eoBreed.h>`

Inheritance diagram for eoBreed< EOT >:

List of all members.

## Detailed Description

### template<class EOT>
class eoBreed< EOT >

Breeding: combination of selecting and transforming a population.

Breeding is thought of a combination of selecting and transforming a population. For efficiency reasons you might want to build your own eoBreed derived class rather than relying on a seperate select and transform function.

See also:
  eoSelect, eoTransform, eoSelectTransform

Definition at line 46 of file eoBreed.h.

The documentation for this class was generated from the following file:

- eoBreed.h